*{
	margin:0;
	padding:0;
	border: 0;
	outline:none;
}

a{ 
	text-decoration: none; 
}

ul{
	list-style: none;
}

body{
	background:#eee;
}




/* main component holder */
#componentWrapper{
	position:absolute; 
	width:100%;
	height:100%;
	top:0px;
	left:0px;
	overflow:hidden; 
}

/* wrapper for scroll */
#componentWrapper .componentScrollWrapper{
	position:relative;
	top:0px;
	left:0px;
	/* size is set with jquery code base on layout (horizontal/vertical) */
}

/* content holder, lies below componentHeader */
#componentWrapper .componentContent{
	position:relative;
	top:0px;
	left:0px;
	/*overflow:hidden;*/
}

/* controls */
#componentWrapper .controls_backward{
	position:absolute;
	width:35px;
	height:35px;
	left:35px;
	top:50%;
	margin-top:-25px;
}

#componentWrapper .controls_forward{
	position:absolute;
	width:35px;
	height:35px;
	right:35px;
	top:50%;
	margin-top:-25px;
}

#componentWrapper .controls_fullscreen{
	position:absolute;
	width:35px;
	height:35px;
	bottom:20px;
	right:20px;
}


#componentWrapper .image_title{
	position:absolute; 
	bottom:5px;
	left:50%;
	/*title is centered in jquery */
	background:#000;
	background-color: rgba(0, 0, 0, 0.4);
	color:#ffffff;
	padding: 5px 10px 5px 10px; 
	font-family:Arial, Helvetica, sans-serif;
	font-size:25px;
	font-weight:400;
	-webkit-font-smoothing: antialiased;
	
	-moz-border-radius: 3px;
	-webkit-border-radius: 3px;
	border-radius: 3px;
	pointer-events:none;
}


/* holder for both image link and image details icons */
#componentWrapper .image_data{
	position:absolute; 
	width:30px;
	height:80px;
	right:25px;
	top:25px;
}

/* image link, image details for lightbox */
#componentWrapper .image_link, #componentWrapper .image_detail{
	position:relative; 
	width:30px;
	height:30px;
	left:0px;
	top:0px;
	margin-bottom:10px;
}

/* playlist data, remains hidden */
#componentWrapper .componentPlaylist{
	display:none;	
}

/* playlist data, remains hidden */
#componentWrapper .musicPlaylist{
	display:none;	
}


#componentWrapper .thumbHolder{
	position:absolute;
	width:100%;
	height:0px;/* hidden on beginning */
	left:0px;
	/*background-color: rgb(0, 0, 0);
	background-color: rgba(0, 0, 0, 0.6);*/
	overflow:hidden;
}

#componentWrapper .thumbContainer{
	position:absolute;
	height:100%;
	top:0px;
	left:40px;
	/*background:#9C9;*/
}

#componentWrapper .thumbInnerContainer{
	position:absolute;
	height:100%;
	top:0px;
	left:0px;
}

#componentWrapper .thumbBackward{
	position:absolute;
	width:40px;
	height:170px;
	top:0px;
	left:0px;
	background-color: rgb(0, 0, 0);
	background-color: rgba(0, 0, 0, 0.6);
	display:none;
}

#componentWrapper .thumbBackward img{
	position:absolute;
	display:block;
	width:21px;
	height:31px;
	top:50%;
	left:50%;
	margin-left:-14px;
	margin-top:-15px;
}

#componentWrapper .thumbForward{
	position:absolute;
	width:40px;
	height:170px;
	top:0px;
	right:0px;
	background-color: rgb(0, 0, 0);
	background-color: rgba(0, 0, 0, 0.6);
	display:none;
}

#componentWrapper .thumbForward img{
	position:absolute;
	display:block;
	width:21px;
	height:31px;
	top:50%;
	left:50%;
	margin-left:-10px;
	margin-top:-15px;
}

#componentWrapper .controls_playlist_toggle{
	position:absolute;
	width:40px;
	height:40px;
	left:0px;
	/* bottom specified in the jquery code, follows playlist */
	background:#333;
	display:none;
}

#componentWrapper .controls_playlist_toggle img{
	position:absolute;
	display:block;
	width:16px;
	height:16px;
	left:11px;
	top:11px;
}




/* public functions */	
#publicFunctions{
	position: absolute;
	padding: 10px 25px 20px 20px;
	background:#444;
	left:50px;
	top:50px;
	font-family:Arial, Helvetica, sans-serif;
	font-size: 16px;
	color:#fff;
	list-style:circle;
	
	-moz-box-shadow: 2px 2px 5px #222;
	-webkit-box-shadow: 2px 2px 5px #222;
	box-shadow: 2px 2px 5px #222;
	-ms-filter: "progid:DXImageTransform.Microsoft.Shadow(Strength=2, Direction=135, Color='#222222')";
	filter: progid:DXImageTransform.Microsoft.Shadow(Strength=2, Direction=135, Color='#222222');
	
	display:none;
}

#publicFunctions li a{
	color:#fff;
}

#publicFunctions li a:hover, #publicFunctions li .current{
	text-decoration: underline;
}
